<?php
/*
 * 功能：GEP接口调试入口页面
 * 说明：
 * 以下代码只是为了方便商户测试而提供的样例代码，商户可以根据自己网站的需要，按照技术文档编写,不建议要使用该代码。
 */

?>
<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>接口调试页面</title>
    <style>
        body {
            font-family: "Helvetica Neue", Helvetica, Arial, "Lucida Grande", sans-serif;
            color: #333;
            background-color: #f8f8f8;
            margin: 0;
            padding: 0;
        }
        .container {
            max-width: 1200px;
            margin: 0 auto;
            padding: 20px;
        }
        .tab-head {
            display: flex;
            justify-content: center;
            margin-bottom: 10px;
            position: sticky; /* 新增 */
            top: 50px;        /* 新增 */
            z-index: 99;      /* 新增 */
            background-color: #fff; /* 确保背景颜色与页面一致 */
            padding: 0 20px;  /* 添加内边距以适应容器 */
        }
        .tab-head h2 {
            padding: 10px 20px;
            margin: 0 10px;
            cursor: pointer;
            border-bottom: 2px solid transparent;
            transition: all 0.3s ease;
        }
        .tab-head h2.selected {
            color: #fff;
            background-color: #02aaf1;
            border-bottom: 2px solid #02aaf1;
        }
        .tab-content {
            display: none;
        }
        .tab-content.show {
            display: block;
        }
        table {
            width: 100%;
            border-collapse: collapse;
            margin-top: 20px;
            background: #fff;
            box-shadow: 0 2px 4px rgba(0, 0, 0, 0.1);
        }
        th, td {
            padding: 10px;
            border: 1px solid #ddd;
            text-align: left;
        }
        th {
            background: #02aaf1;
            color: #fff;
        }
        a {
            color: #02aaf1;
            text-decoration: none;
        }
        a:hover {
            text-decoration: underline;
        }
        .am-header {
            display: flex;
            justify-content: center;
            align-items: center;
            background: #1D222D;
            height: 50px;
            color: #fff;
            position: sticky; /* 新增 */
            top: 0;           /* 新增 */
            z-index: 100;     /* 新增 */
        }
        .footer {
            text-align: center;
            color: #666;
            margin: 20px 0;
        }
    </style>
</head>
<body>
    <div class="container">
        <header class="am-header">
            <h1>接口调试页面</h1>
        </header>
        <div id="main">
            <div class="tab-head">
                <h2 id="tab1" class="selected" data-content="agent">客户入网API</h2>
                <h2 id="tab2" data-content="b2b">E贸汇API</h2>
                <h2 id="tab3" data-content="exchange">兑换分发API</h2>
                <h2 id="tab4" data-content="store">电商收款API</h2>
                <h2 id="tab4" data-content="user">收款人管理</h2>
            </div>
            <div id="agent" class="tab-content show">
                <?php include 'agent.php'; ?>
            </div>
            <div id="b2b" class="tab-content">
                <?php include 'b2b.php'; ?>
            </div>
            <div id="exchange" class="tab-content">
                <?php include 'exchange.php'; ?>
            </div>
            <div id="store" class="tab-content">
                <?php include 'store.php'; ?>
            </div>
            <div id="user" class="tab-content">
                <?php include 'user.php'; ?>
            </div>
            <div class="footer">
                接口测试使用，请勿做其他用途
            </div>
        </div>
    </div>
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            const tabs = document.querySelectorAll('.tab-head h2');
            const contents = document.querySelectorAll('.tab-content');

            tabs.forEach((tab, index) => {
                tab.addEventListener('click', function () {
                    tabs.forEach(t => t.classList.remove('selected'));
                    contents.forEach(c => c.classList.remove('show'));

                    tab.classList.add('selected');
                    contents[index].classList.add('show');
                });
            });

            // 初始化第一个 tab 为选中状态
            tabs[0].click();
        });
    </script>
</body>
</html>